package com.ruoyi.project.sems.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.project.sems.domain.DevData;
import com.ruoyi.project.sems.domain.TSpecdevDzsb;
import com.ruoyi.project.sems.his.domain.TSpechiDzsb;
import org.springframework.web.multipart.MultipartFile;

/**
 * 特种设备吊装设备台账Service接口
 *
 * @author ruoyi
 * @date 2021-07-26
 */
public interface ITSpecdevDzsbService extends IService<TSpecdevDzsb>
{
    /**
     * 查询特种设备吊装设备台账
     *
     * @param id 特种设备吊装设备台账ID
     * @return 特种设备吊装设备台账
     */
    public TSpecdevDzsb selectTSpecdevDzsbById(Long id);

    /**
     * 查询特种设备吊装设备台账列表
     *
     * @param tSpecdevDzsb 特种设备吊装设备台账
     * @return 特种设备吊装设备台账集合
     */
    public List<TSpecdevDzsb> selectTSpecdevDzsbList(TSpecdevDzsb tSpecdevDzsb);

    List<TSpecdevDzsb> selectTSpecdevDzsbListByYear(TSpecdevDzsb tSpecdevDzsb);
    /**
     * 新增特种设备吊装设备台账
     *
     * @param tSpecdevDzsb 特种设备吊装设备台账
     * @return 结果
     */
    public int insertTSpecdevDzsb(TSpecdevDzsb tSpecdevDzsb);

    /**
     * 修改特种设备吊装设备台账
     *
     * @param tSpecdevDzsb 特种设备吊装设备台账
     * @return 结果
     */
    public int updateTSpecdevDzsb(TSpecdevDzsb tSpecdevDzsb);

    /**
     * 批量删除特种设备吊装设备台账
     *
     * @param ids 需要删除的特种设备吊装设备台账ID
     * @return 结果
     */
    public int deleteTSpecdevDzsbByIds(Long[] ids);

    /**
     * 删除特种设备吊装设备台账信息
     *
     * @param id 特种设备吊装设备台账ID
     * @return 结果
     */
    public int deleteTSpecdevDzsbById(Long id);

    List<DevData> otherDevCount(Map<String, Object> params);

    int updateTSpecdevDzsbByHi(TSpechiDzsb hientity);


    void duplicateTSpecdevDzsb();

    int importFiles(List<MultipartFile> files, String plantCode, String fileType, String toString) throws Exception;
}
